Android device compatibility problem ever fixed?

169
1
Jump to solution
09-16-2019 11:28 AM
MollyFoley
Regular Contributor

I know this was a problem from a while ago looking at all the posts on it, but was the problem with android devices being misidentified as incompatible with Collector ever fixed? I am emulating a device with Android Studio so that might be the problem, but the emulated device meets all the requirements I think; however, I still get the incompatible message. I'm pretty sure it meets all the requirements because I can download other ArcGIS apps like Workforce, Indoors, Navigator, etc. with no issue. I can't really install it separately on my machine and then deploy it because of the emulation factor. 

0 Kudos
1 Solution

Accepted Solutions
MollyFoley
Regular Contributor

Alright, I actually did get it working by installing it separately. If anyone stumbles across this in the future, you have to download the APK file for Collector from this link: Esri Downloads. Then open Android Studio, create your "hello world" default app and your emulation device(s), then follow these steps to install the APK: How to install an apk on the emulator in Android Studio? - Stack Overflow. Collector will then show up on your emulated device.

View solution in original post

0 Kudos
1 Reply
MollyFoley
Regular Contributor

Alright, I actually did get it working by installing it separately. If anyone stumbles across this in the future, you have to download the APK file for Collector from this link: Esri Downloads. Then open Android Studio, create your "hello world" default app and your emulation device(s), then follow these steps to install the APK: How to install an apk on the emulator in Android Studio? - Stack Overflow. Collector will then show up on your emulated device.

0 Kudos